XpressPlayer
============
Dise Lite player. Addidional documentation located in `/docs`.

Getting started
===============
* Install Node.js (version 12.x needed)
* Clone this repository
* From the root folder of the repository run: 
  * `npm install`
  * `npm install -g grunt-cli`


Quick start for debug
=====================
* In a console, run:
  * `grunt --env=debug --env=skipUglify`
  * `npx http-server -c-1`
* Open Chrome browser and go to `http://localhost:8080`


Build
=====
* grunt
* grunt --env=skipUglify

Options:
* --env=debug
  * Builds a debug version, used for development in web browser (index.html is stored in root folder of project)
* --env=skipUglify
  * Skip uglify
* --env=incver
  * Increase version number
* --target=dise
  * Build DISE version (Default)
* --target=nec
  * Build NEC Live version
* --webOSSignageSDK=[path]
  * Specify path if webOS Signage SDK it not installed at default location (C:\webOS_Signage_SDK)
* --buildTizen
  * Build and sign Tizen .wgt (ends up in .buildResult folder in the tizen release folder)


Development environment for debug
=================================
* grunt --env=debug
index.html is stored in root folder of project
* npm install -g http-server https://www.npmjs.com/package/http-server
* cd to project root folder
* http-server -p 8080
* open VS code
* https://marketplace.visualstudio.com/items?itemName=msjsdiag.debugger-for-chrome install extension
* ctrl+shift+D
* click add configuration lanuch.json, the default configuration is already working with localhost:8080, so just press save.
* press run


Misc
====
It is possible to run the player with direct links to content for test on web browser that does not support storage by using the query option onlinePlayer=1. For example:
http://go.dise.tv/?onlinePlayer=1

